using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ServerControl1
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:ServerControl1 runat=server></{0}:ServerControl1>")]
    public class ServerControl29 : WebControl
    {
        string s;
        protected override void OnInit(EventArgs e)
        {
            Page.RegisterRequiresControlState(this);
            
            base.OnInit(e);
        }

        protected override void LoadControlState(object savedState)
        {
            s = (string)savedState;
        }

        protected override object SaveControlState()
        {
            return (object)"FOO";
        }

        protected override void RenderContents(HtmlTextWriter output)
        {
            output.Write("Control State: " + s);
        }
    }
}
